## sleuthkit 2.06

=== Makefile ===
SHELL	= /bin/sh
#CC		= g++
CC		= gcc
DIRS	= bin

all:	$(DIRS) compile

static:	$(DIRS) compile-static

$(DIRS):
	mkdir -p $@

compile: no-perl mactime sorter file test 

compile-static: no-perl-static mactime sorter file test

no-perl:
	$(MAKE) -C src/auxtools
	$(MAKE) -C src/afflib/lib AFFLIB="../../../lib/libtsk.a"
	cd src/libewf; ./configure; make -C src/ libewf.a; ar rv ../../lib/libtsk.a src/*.o
	$(MAKE) -C src/imgtools
	$(MAKE) -C src/hashtools
	$(MAKE) -C src/fstools 
	$(MAKE) -C src/mmtools
	$(MAKE) -C src/srchtools
	$(MAKE) -C src/disktools

no-perl-static:
	$(MAKE) -C src/auxtools  OPT=-static
	$(MAKE) -C src/afflib/lib AFFLIB="../../../lib/libtsk.a"
	cd src/libewf; ./configure; make -C src/ libewf.a; ar rv ../../lib/libtsk.a src/*.o
	$(MAKE) -C src/libewf LIBEWF="../../lib/libtsk.a" ARFLAGS="rv" ../../lib/libtsk.a
	$(MAKE) -C src/imgtools
	$(MAKE) -C src/hashtools OPT=-static
	$(MAKE) -C src/fstools OPT=-static 
	$(MAKE) -C src/mmtools OPT=-static 
	$(MAKE) -C src/srchtools OPT=-static
	$(MAKE) -C src/disktools OPT=-static 

sorter:
	$(MAKE) -C src/sorter

mactime:
	$(MAKE) -C src/timeline

file:
	cd src/file; sh ./TSK.install

test:
	sh ./check-install

clean: 
	$(MAKE) -C src/auxtools $@ 
	$(MAKE) -C src/afflib/lib $@
	$(MAKE) -C src/libewf distclean
	$(MAKE) -C src/imgtools $@
	$(MAKE) -C src/hashtools $@
	$(MAKE) -C src/fstools $@
	$(MAKE) -C src/mmtools $@
	$(MAKE) -C src/srchtools $@
	$(MAKE) -C src/disktools $@
	cd src/file; sh ./TSK.clean
	$(MAKE) -C src/timeline $@
	cd src/sorter; sh ./clean
	rm -f lib/libtsk.a
	rm -f bin/*core
	rm -f bin/.gdb_history
	find . -name ".DS_Store" | xargs rm -f 
	find . -name ".*" | grep -v "cvsignore" | grep -v "indent.pro" | grep -v "tidyrc"
	find . -type f -perm +g+x,o+x,u+x | grep -v "configure" | xargs  chmod -x 
	cat patchlevel

release:
	find . -name "CVS" | xargs rm -rf

=== src/auxtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
#CC	=g++
# uncomment the following for a static build
# OPT	= -O
OPT	= -O -Wall
DEBUG	= -g
CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
LIBOBJ	= mymalloc.o strerror.o split_at.o tsk_endian.o \
    data_buf.o tsk_version.o tsk_error.o tsk_parse.o \
    tsk_unicode.o tsk_printf.o
LIB	= ../../lib/libtsk.a
BIN_DIR	= 
PROGS	= 

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:	lib

manpages: 

lib:	$(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB)

indent:
	indent *.h *.c

clean:
	rm -f $(PROGS) *.o *core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
data_buf.o: data_buf.c
data_buf.o: data_buf.c
tsk_endian.o: tsk_endian.c
tsk_endian.o: tsk_endian.c
tsk_unicode.o: tsk_unicode.c
tsk_printf.o: tsk_printf.c
mymalloc.o: mymalloc.c
mymalloc.o: mymalloc.c
split_at.o: split_at.c
split_at.o: split_at.c
strerror.o: strerror.c
strerror.o: strerror.c
tsk_version.o:tsk_version.c
tsk_error.o:tsk_error.c
tsk_parse.o:tsk_parse.c

=== src/fstools/Makefile ===
SHELL	= /bin/sh
#CC	= g++
CC	= gcc
CC2	= g++
# uncomment the following for a static build
# OPT	= -O -Wall -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../auxtools -I../imgtools
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= fs_inode.o fs_io.o fs_open.o \
	fs_dent.o fs_types.o fs_data.o fs_load.o \
	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o ext2fs_journal.o \
	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o \
	dcalc_lib.o dcat_lib.o dls_lib.o dstat_lib.o ffind_lib.o \
	fls_lib.o icat_lib.o ifind_lib.o ils_lib.o \
iso9660.o iso9660_dent.o 
# hfs.o hfs_dent.o hfs_journal.o
LIBS	= -L../../lib -ltsk -lz -lcrypto

LIB	= ../../lib/libtsk.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/ils $(BIN_DIR)/dls $(BIN_DIR)/icat \
	$(BIN_DIR)/fls $(BIN_DIR)/dcat $(BIN_DIR)/ffind \
        $(BIN_DIR)/istat $(BIN_DIR)/ifind $(BIN_DIR)/dcalc $(BIN_DIR)/dstat \
		$(BIN_DIR)/fsstat $(BIN_DIR)/jls $(BIN_DIR)/jcat 
# $(BIN_DIR)/fscheck

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:	lib $(PROGS)

lib:	$(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB)

$(BIN_DIR)/dls: dls.o $(LIB) 
	$(CC2) $(CFLAGS) -o $@ dls.o $(LIBS) 

$(BIN_DIR)/ils: ils.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ ils.o $(LIBS) 

$(BIN_DIR)/icat: icat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ icat.o $(LIBS) 

$(BIN_DIR)/ifind: ifind.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ ifind.o $(LIBS) 

$(BIN_DIR)/ffind: ffind.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ ffind.o $(LIBS) 

$(BIN_DIR)/fls: fls.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ fls.o $(LIBS) 

$(BIN_DIR)/dcat: dcat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ dcat.o $(LIBS) 

$(BIN_DIR)/istat: istat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ istat.o $(LIBS) 

$(BIN_DIR)/dcalc: dcalc.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ dcalc.o $(LIBS) 

$(BIN_DIR)/dstat: dstat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ dstat.o $(LIBS) 

$(BIN_DIR)/fsstat: fsstat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ fsstat.o $(LIBS) 

$(BIN_DIR)/fscheck: fscheck.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ fscheck.o $(LIBS) 

$(BIN_DIR)/jls: jls.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ jls.o $(LIBS) 

$(BIN_DIR)/jcat: jcat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ jcat.o $(LIBS) 

indent:
	indent *.c *.h

clean:
	rm -f $(PROGS) *.o *core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
dcalc.o: fs_tools.h
dcalc_lib.o: fs_tools.h
dcat.o: fs_tools.h
dcat_lib.o: fs_tools.h
dls.o: fs_tools.h
dls_lib.o: fs_tools.h
dstat.o: fs_tools.h
dstat_lib.o: fs_tools.h
dstat_lib.o: fatfs.h
dstat_lib.o: ntfs.h
dstat_lib.o: ffs.h
dstat_lib.o: ext2fs.h
ext2fs.o: fs_tools.h
ext2fs.o: ext2fs.h
ext2fs_dent.o: fs_tools.h
ext2fs_dent.o: ext2fs.h
ext2fs_journal.o: fs_tools.h
ext2fs_journal.o: ext2fs.h
fatfs_dent.o: fs_tools.h
fatfs_dent.o: fatfs.h
ffind_lib.o: fs_tools.h
ffs.o: fs_tools.h
ffs.o: ffs.h
ffs_dent.o: fs_tools.h
ffs_dent.o: ffs.h
fls.o: fs_tools.h
fls_lib.o: fs_tools.h
fls_lib.o: ntfs.h
fs_data.o: fs_tools.h
fs_dent.o: fs_tools.h
fs_inode.o: fs_tools.h
fs_io.o: fs_tools.h
fs_open.o: fs_tools.h
fsstat.o: fs_tools.h
fscheck.o: fs_tools.h
fs_load.o: fs_tools.h
fs_load.o: fs_load.c
hfs.o: fs_tools.h
hfs.o: hfs.h
hfs_dent.o: fs_tools.h
hfs_dent.o: hfs.h
hfs_journal.o: fs_tools.h
hfs_journal.o: hfs.h
icat.o: fs_tools.h
icat_lib.o: fs_tools.h
ifind.o: fs_tools.h
ifind_lib.o: fs_tools.h
ils.o: fs_tools.h
ils_lib.o: fs_tools.h
iso9660.o: fs_tools.h
iso9660.o: iso9660.h
iso9660_dent.o: fs_tools.h
iso9660_dent.o: iso9660.h
istat.o: fs_tools.h
istat.o: ffs.h
istat.o: ext2fs.h
jls.o: fs_tools.h
jcat.o: fs_tools.h
ntfs.o: fs_tools.h
ntfs.o: ntfs.h
ntfs_dent.o: fs_tools.h
ntfs_dent.o: ntfs.h
rawfs.o: fs_tools.h
rawfs.o: fs_tools.h

=== src/hashtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
#CC	= g++
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/md5 $(BIN)/sha1 $(BIN)/hfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I../auxtools $(XFLAGS)

LIBOBJ  = md5c.o sha1c.o
LIB = ../../lib/libtsk.a

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:    lib $(PROGS)

lib: $(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB)

$(BIN)/md5: md5.o md5c.o
	$(CC) $(CFLAGS) -o $@ md5.o md5c.o

$(BIN)/sha1: sha1.o sha1c.o 
	$(CC) $(CFLAGS) -o $@ sha1.o sha1c.o

$(BIN)/hfind: hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o
	$(CC) $(CFLAGS) -o $@ hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o

indent:
	indent *.c *.h

clean:
	rm -f $(PROGS) *.o core *.core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
hfind.o: hfind.c
hfind.o: hfind.h
hk_index.o: hk_index.c
hk_index.o: hfind.h
md5.o: md5.c
md5.o: global.h
md5.o: hash.h
md5c.o: md5c.c
md5c.o: global.h
md5c.o: hash.h
md5sum_index.o: md5sum_index.c
md5sum_index.o: hfind.h
nsrl_index.o: nsrl_index.c
nsrl_index.o: hfind.h
sha1.o: sha1.c
sha1.o: hash.h
sha1.o: global.h
sha1c.o: sha1c.c
sha1c.o: hash.h
sha1c.o: global.h
tm_lookup.o: tm_lookup.c
tm_lookup.o: hfind.h

=== src/imgtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
CC2	= g++
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../auxtools -I../afflib/lib -I../libewf/src/
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= img_open.o img_types.o raw.o split.o aff.o ewf.o
LIBS    = -L../../lib -ltsk -lz -lcrypto
LIB	= ../../lib/libtsk.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/img_stat $(BIN_DIR)/img_cat

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:	lib $(PROGS)

lib:	$(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB) 

$(BIN_DIR)/img_stat: img_stat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ img_stat.o $(LIBS) 

$(BIN_DIR)/img_cat: img_cat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ img_cat.o $(LIBS) 

clean:
	rm -f $(PROGS) *.o *core *~

indent:
	indent *.c *.h

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
img_open.o: img_open.c
img_open.o: img_tools.h
img_types.o: img_types.c
img_types.o: img_tools.h
raw.o: raw.c
raw.o: img_tools.h
split.o: split.c
split.o: img_tools.h
aff.o: aff.c
aff.o: img_tools.h
ewf.o: ewf.c
ewf.o: img_tools.h
img_stat.o: img_stat.c
img_stat.o: img_tools.h
img_cat.o: img_cat.c
img_cat.o: img_tools.h

=== src/mmtools/Makefile ===
SHELL	= /bin/sh
CC	= g++
CC2	= g++
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../auxtools -I../imgtools
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o
LIBS	= -L../../lib -ltsk -lz -lcrypto
LIB	= ../../lib/libtsk.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/mmls $(BIN_DIR)/mmstat

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:	lib $(PROGS)

lib:	$(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB)

$(BIN_DIR)/mmls: mmls.o $(LIB) 
	$(CC2) $(CFLAGS) -o $@ mmls.o $(LIBS) 

$(BIN_DIR)/mmstat: mmstat.o $(LIB) 
	$(CC2) $(CFLAGS) -o $@ mmstat.o $(LIBS) 

indent:
	indent *.c *.h

clean:
	rm -f $(PROGS) *.o *core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
dos.o: dos.c
dos.o: mm_tools.h
dos.o: dos.h
mac.o: mac.c
mac.o: mm_tools.h
mac.o: mac.h
sun.o: sun.c
sun.o: mm_tools.h
bsd.o: bsd.h
bsd.o: mm_tools.h
gpt.o: gpt.c
gpt.o: gpt.h
gpt.o: mm_tools.h
mmls.o: mmls.c
mmls.o: mm_tools.h
mmstat.o: mmstat.c
mmstat.o: mm_tools.h
mm_open.o: mm_open.c
mm_open.o: mm_tools.h
mm_part.o: mm_part.c
mm_part.o: mm_tools.h
mm_types.o: mm_types.c
mm_types.o: mm_tools.h
mm_io.o: mm_io.c
mm_io.o: mm_tools.h

## sleuthkit 2.07

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 
 no-perl:
 	$(MAKE) -C src/auxtools
-	$(MAKE) -C src/afflib/lib AFFLIB="../../../lib/libtsk.a"
-	cd src/libewf; ./configure; make -C src/ libewf.a; ar rv ../../lib/libtsk.a src/*.o
-	$(MAKE) -C src/imgtools
+	cd src; sh ./afflib-install.sh
+	cd src; sh ./libewf-install.sh
+	$(MAKE) -C src/imgtools USE_FOO=1
 	$(MAKE) -C src/hashtools
 	$(MAKE) -C src/fstools 
 	$(MAKE) -C src/mmtools
@@ -27,9 +27,8 @@
 
 no-perl-static:
 	$(MAKE) -C src/auxtools  OPT=-static
-	$(MAKE) -C src/afflib/lib AFFLIB="../../../lib/libtsk.a"
-	cd src/libewf; ./configure; make -C src/ libewf.a; ar rv ../../lib/libtsk.a src/*.o
-	$(MAKE) -C src/libewf LIBEWF="../../lib/libtsk.a" ARFLAGS="rv" ../../lib/libtsk.a
+	cd src; sh ./afflib-install.sh
+	cd src; sh ./libewf-install.sh
 	$(MAKE) -C src/imgtools
 	$(MAKE) -C src/hashtools OPT=-static
 	$(MAKE) -C src/fstools OPT=-static 
@@ -44,24 +43,24 @@
 	$(MAKE) -C src/timeline
 
 file:
-	cd src/file; sh ./TSK.install
+	cd src; sh ./file-install.sh
 
 test:
 	sh ./check-install
 
 clean: 
 	$(MAKE) -C src/auxtools $@ 
-	$(MAKE) -C src/afflib/lib $@
-	$(MAKE) -C src/libewf distclean
 	$(MAKE) -C src/imgtools $@
 	$(MAKE) -C src/hashtools $@
 	$(MAKE) -C src/fstools $@
 	$(MAKE) -C src/mmtools $@
 	$(MAKE) -C src/srchtools $@
 	$(MAKE) -C src/disktools $@
-	cd src/file; sh ./TSK.clean
 	$(MAKE) -C src/timeline $@
 	cd src/sorter; sh ./clean
+	cd src; sh ./afflib-clean.sh
+	cd src; sh ./libewf-clean.sh
+	cd src; sh ./file-clean.sh
 	rm -f lib/libtsk.a
 	rm -f bin/*core
 	rm -f bin/.gdb_history

=== src/auxtools/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
 LIBOBJ	= mymalloc.o strerror.o split_at.o tsk_endian.o \
     data_buf.o tsk_version.o tsk_error.o tsk_parse.o \
-    tsk_unicode.o tsk_printf.o
+    tsk_unicode.o tsk_printf.o tsk_list.o
 LIB	= ../../lib/libtsk.a
 BIN_DIR	= 
 PROGS	= 
@@ -53,3 +53,4 @@
 tsk_version.o:tsk_version.c
 tsk_error.o:tsk_error.c
 tsk_parse.o:tsk_parse.c
+tsk_list.o:tsk_list.c

## sleuthkit 2.09

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	$(MAKE) -C src/auxtools
 	cd src; sh ./afflib-install.sh
 	cd src; sh ./libewf-install.sh
-	$(MAKE) -C src/imgtools USE_FOO=1
+	$(MAKE) -C src/imgtools
 	$(MAKE) -C src/hashtools
 	$(MAKE) -C src/fstools 
 	$(MAKE) -C src/mmtools
@@ -44,6 +44,15 @@
 
 file:
 	cd src; sh ./file-install.sh
+
+indent:
+	$(MAKE) -C src/auxtools indent
+	$(MAKE) -C src/imgtools indent
+	$(MAKE) -C src/hashtools indent
+	$(MAKE) -C src/fstools  indent
+	$(MAKE) -C src/mmtools indent
+	$(MAKE) -C src/srchtools indent
+	$(MAKE) -C src/disktools indent
 
 test:
 	sh ./check-install
@@ -71,3 +80,6 @@
 
 release:
 	find . -name "CVS" | xargs rm -rf 
+
+api-docs:
+	doxygen config/Doxyfile

=== src/auxtools/Makefile ===
--- 
+++ 
@@ -8,21 +8,27 @@
 CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
 LIBOBJ	= mymalloc.o strerror.o split_at.o tsk_endian.o \
     data_buf.o tsk_version.o tsk_error.o tsk_parse.o \
-    tsk_unicode.o tsk_printf.o tsk_list.o
+    tsk_unicode.o tsk_printf.o tsk_list.o md5c.o sha1c.o
 LIB	= ../../lib/libtsk.a
-BIN_DIR	= 
-PROGS	= 
+BIN	= ../../bin
+PROGS	= $(BIN)/md5 $(BIN)/sha1
 
 defs:
 	@CC="$(CC)" sh ../makedefs $(MAKE)
 
-all:	lib
+all:	lib $(PROGS)
 
 manpages: 
 
 lib:	$(LIBOBJ)
 	$(AR) $(LIB) $?
 	$(RANLIB) $(LIB)
+
+$(BIN)/md5: md5.o md5c.o
+	$(CC) $(CFLAGS) -o $@ md5.o md5c.o
+
+$(BIN)/sha1: sha1.o sha1c.o
+	$(CC) $(CFLAGS) -o $@ sha1.o sha1c.o
 
 indent:
 	indent *.h *.c

=== src/disktools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
#CC	= g++
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/disk_stat $(BIN)/disk_sreset
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools/ $(XFLAGS)
LIBS    = -L../../lib -ltsk

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:    $(PROGS)

$(BIN)/disk_stat: disk_stat.o ide.o 
	$(CC) $(CFLAGS) -o $@ disk_stat.o ide.o $(LIBS)

$(BIN)/disk_sreset: disk_sreset.o ide.o 
	$(CC) $(CFLAGS) -o $@ disk_sreset.o ide.o $(LIBS)

indent:
	indent *.c 

clean:
	rm -f $(PROGS) *.o core *.core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
disk_stat.o: disk_stat.c
disk_sreset.o: disk_sreset.c
ide.o: ide.c

=== src/fstools/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o \
 	dcalc_lib.o dcat_lib.o dls_lib.o dstat_lib.o ffind_lib.o \
 	fls_lib.o icat_lib.o ifind_lib.o ils_lib.o \
-iso9660.o iso9660_dent.o 
-# hfs.o hfs_dent.o hfs_journal.o
+	iso9660.o iso9660_dent.o \
+	hfs.o hfs_dent.o hfs_journal.o
 LIBS	= -L../../lib -ltsk -lz -lcrypto
 
 LIB	= ../../lib/libtsk.a
@@ -109,6 +109,8 @@
 ext2fs_dent.o: ext2fs.h
 ext2fs_journal.o: fs_tools.h
 ext2fs_journal.o: ext2fs.h
+fatfs.o: fs_tools.h
+fatfs.o: fatfs.h
 fatfs_dent.o: fs_tools.h
 fatfs_dent.o: fatfs.h
 ffind_lib.o: fs_tools.h

=== src/hashtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
#CC	= g++
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/hfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I../auxtools $(XFLAGS)

LIBOBJ  = tm_lookup.o nsrl_index.o md5sum_index.o hk_index.o idxonly_index.o
LIB = ../../lib/libtsk.a

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:    lib $(PROGS)

lib: 	$(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB)

$(BIN)/hfind: hfind.o $(LIB)
	$(CC) $(CFLAGS) -o $@ hfind.o $(LIB)

indent:
	indent *.c *.h

clean:
	rm -f $(PROGS) *.o core *.core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
hfind.o: hfind.c
hfind.o: hashdb_tools.h
hk_index.o: hk_index.c
hk_index.o: hashdb_tools.h
md5sum_index.o: md5sum_index.c
md5sum_index.o: hashdb_tools.h
nsrl_index.o: nsrl_index.c
nsrl_index.o: hashdb_tools.h
idxonly_index.o: idxonly_index.c
idxonly_index.o: hashdb_tools.h
tm_lookup.o: tm_lookup.c
tm_lookup.o: hashdb_tools.h

=== src/imgtools/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../auxtools -I../afflib/lib -I../libewf/src/
+INCL	= -I../auxtools -I../afflib/lib -I../libewf/include/
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= img_open.o img_types.o raw.o split.o aff.o ewf.o
 LIBS    = -L../../lib -ltsk -lz -lcrypto

=== src/mmtools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHELL	= /bin/sh
-CC	= g++
+CC	= gcc
 CC2	= g++
 # Uncomment this for a static build
 # OPT	= -O -Wall  -static

=== src/sorter/Makefile ===
all:
	sh ./install
indent:
	perltidy -b sorter.base
clean:
	sh ./clean
	rm *.bak

=== src/srchtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
#CC	= g++
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/srch_strings $(BIN)/sigfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools $(XFLAGS)

LIBOBJ  = srch_strings.o 
LIBS    = -L../../lib -ltsk
LIB = ../../lib/libtsk.a

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:    lib $(PROGS)

lib: $(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB)

$(BIN)/srch_strings: srch_strings.o $(LIB)
	$(CC) $(CFLAGS) -o $@ srch_strings.o $(LIBS)

$(BIN)/sigfind: sigfind.o $(LIB)
	$(CC) $(CFLAGS) -o $@ sigfind.o $(LIBS) 

indent:
	indent sigfind.c

clean:
	rm -f $(PROGS) *.o core *.core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
srch_strings.o: srch_strings.c
sigfind.o: sigfind.c
sigfind.o: ../auxtools/tsk_os.h

=== src/timeline/Makefile ===
defs:
	@sh ./config-perl
clean:
	rm -f ../../bin/mactime
indent:
	perltidy -b mactime.base

## sleuthkit 3.2.1

=== debian/changelog ===
sleuthkit (3.2.1-2) unstable; urgency=low

  * Team upload.
  * Fix symbols files for non any-amd64 architectures, avoiding FTBFS
    (Closes: #630207)

 -- Julien Valroff <julien@debian.org>  Sun, 12 Jun 2011 14:57:56 +0200

sleuthkit (3.2.1-1) unstable; urgency=low

  * Team upload.

  [ Cristian Greco ]
  * debian/control: remove myself from Uploaders.

  [ Christophe Monniez ]
  * Merging upstream version 3.2.1.
  * Refreshing patches.
  * Updating libewf dependency.
  * Removing installation of .la files.
  * Adding afflib support.

  [ Julien Valroff ]
  * Switch to 3.0 (quilt) source package format
  * Refresh patch to prevent static linking
  * Bump debhelper compat to 8 
  * Update copyright information 
  * Fix dh --with syntax 
  * Add patch to fix formatting error in the manpages 
  * Update libtsk3-3 symbols file 
  * Suggests Autopsy 
  * Add patch to dynamically link against libsqlite3 

 -- Julien Valroff <julien@debian.org>  Fri, 10 Jun 2011 23:10:11 +0200

sleuthkit (3.1.3-1) unstable; urgency=low

  * New upstream version.
    - 90_fix_ldflags.patch: refreshed patch.
  * debian/copyright: fix copyright-refers-to-deprecated-bsd-license-file.
  * debian/control: bump up standards-version to 3.9.0.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 13 Jul 2010 20:45:52 +0200

sleuthkit (3.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    - 90_fix_ldflags.patch: refreshed patch.
    - 99_no_static_ldflags.patch: new patch, drop `-static` from LDFLAGS from
      tools/*/Makefile.am in order to avoid sleuthkit tools to be statically
      linked against libtsk.
  * debian/{control,rules}: bump autotools-dev build-dep to (>= 20100122.1)
    and pass '--with autotools_dev' to dh in order to automatically update
    config.{sub,guess} files.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 18 Jun 2010 14:00:57 +0200

sleuthkit (3.1.1-1) unstable; urgency=low

  * New upstream version.
  * debian/patches: most of the patches merged upstream, thanks Brian!
    - 01-fix-hfind-manpage.patch: merged upstream.
    - 02-fix-hyphens-manpages.patch: merged upstream.
    - 90_fix_ldflags.patch: refreshed (mostly merged upstream,
      but still needed).
  * debian/libtsk3-3.symbols: updated.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 06 Apr 2010 13:33:25 +0200

sleuthkit (3.1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - fix package priorities once again.
    - upgrade build-dep on libewf-dev (>= 20090606) and remove other
      useless (build-)deps.
    - bump up standards-version to 3.8.4 (no changes).
    - set my new email address.
    - add DMUA flag, thanks to my sponsor Michael Prokop.
  * debian/patches:
    - 01-fix-hfind-manpage.patch, refreshed;
    - 02-fix-hyphens-manpages.patch, refreshed and updated to fix
      some spelling errors too;
    - 10_fix_compiler_warnings.patch, dropped (fixed upstream);
    - 90_fix_ldflags.patch: refreshed.
  * debian/sleuthkit.docs: some doc files were removed upstream.
  * debian/libtsk3-3.symbols: update symbols file.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 18 Feb 2010 23:16:22 +0100

sleuthkit (3.0.1-5) unstable; urgency=low

  * debian/control:
    - move git packaging on alioth.
    - priority is extra, not optional.
    - build-dep on automake and libtool to fix FTBFS on all arches,
      shame on me!
  * debian/source.lintian-overrides: removed, useless.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 22 Sep 2009 23:32:18 +0200

sleuthkit (3.0.1-4) unstable; urgency=low

  [ Cristian Greco ]
  * New maintainer Debian Forensics, added myself to uploaders.
    Thanks Martin Godisch! (Closes: #537418)
  * Build-depends on debhelper (>= 7.0.50) and quilt (>= 0.46-7~), use a real
    patch management system and rewrite debian/rules in a tiny form.
  * debian/patches:
    - 283709_dstat.diff.disabled: deleted.
    - 411026_sorter.diff: renamed 01-fix-hfind-manpage.patch
      (added description).
    - 000000_lintian.diff: renamed to 02-fix-hyphens-manpages.patch
      (plus lintian fixes).
    - 10_fix_compiler_warnings.patch: new patch, fixes a lot of compiler
      warnings (pulled from upstream svn).
    - 90_fix_ldflags.patch: new patch, avoid linking against unused libraries.
  * Call autoreconf and pass "-Wl,--as-needed" to LDFLAGS in
    debian/rules to support changes in 90_fix_ldflags.patch. Add
    autoconf build-dep in debian/control.
  * Move libtsk3-3-dbg to the new debug section.
  * Drop shlibs:Depends from -dbg package.
  * Added minimal conf file for git-buildpackage.
  * Improve short and long description for all binary packages.
  * Adding a README.source file with informations about the quilt patch
    system.
  * Update debian/copyright file.
  * bump up Standards-Version to 3.8.3 (no changes needed).
  * fix symbol with debian revision by postfixing a '~' in libtsk3-
    3.symbols

  [ Daniel Baumann ]
  * Using correct rfc-2822 date formats in changelog.
  * Adding vcs fields in control file.
  * Sorting fields in control file.
  * Removing dubious priority override for libtsk-dev.
  * Using dedicated debhelper manpages file to install additional
    manpages.
  * Sorting debhelper install files.
  * Rewrapping maintainer scripts.
  * Calling all shell commands in rules with set -e in order to properly
    fail in case of errors.
  * Removing override for dh_installchangelogs in rules, it's not
    needed.
  * Adding source lintian overrides.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 22 Sep 2009 02:59:38 +0200

sleuthkit (3.0.1-3) unstable; urgency=low

  * Added libewf-dev to build-dependencies, suggested by Michael Prokop.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 31 Aug 2009 16:11:29 +0200

sleuthkit (3.0.1-2) unstable; urgency=low

  * Moving into sid after three months in experimental.
  * Updated standards version (no changes necessary).

 -- Martin A. Godisch <godisch@debian.org>  Sun, 12 Jul 2009 09:30:08 +0200



=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e
export LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install

	for FILE in icat ils mactime; \
	do \
		mv debian/tmp/usr/bin/$$FILE debian/tmp/usr/bin/$$FILE-sleuthkit; \
		mv debian/tmp/usr/share/man/man1/$$FILE.1 debian/tmp/usr/share/man/man1/$$FILE-sleuthkit.1; \
	done

override_dh_strip:
	dh_strip -a -plibtsk3-3 --dbg-package=libtsk3-3-dbg

## sleuthkit 3.2.3

=== debian/changelog ===
sleuthkit (3.2.3-2.2) unstable; urgency=low

  * Non-maintainer upload
  * Update symbol file for armel.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Dec 2013 08:28:53 +0100

sleuthkit (3.2.3-2.1) unstable; urgency=low

  [ Andreas Moog ]
  * Non-maintainer upload
  * d/patches/95_fix-libewf2-detection.patch, 96_fix_build_libewf2.patch:
    - Add 2 patches from upstream git to fix detection and build against 
      libewf2 (Closes: #713364)

  [ Andreas Beckmann ]
  * Update symbol files for amd64, armel, i386, mips.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Nov 2013 21:15:15 +0100

sleuthkit (3.2.3-2) unstable; urgency=low

  * Team upload.
  * Fix build with dpkg < 1.16.1 
  * Fix symbols files for ia64 and armel

 -- Julien Valroff <julien@debian.org>  Fri, 14 Oct 2011 19:52:20 +0200

sleuthkit (3.2.3-1) unstable; urgency=low

  * Team upload.

  [ Daniel T Chen ]
  * Refresh 90_fix_ldflags.diff.
  * Update libtsk3-3 symbols files for 3.2.2.

  [ Julien Valroff ]
  * Fix DEP-5 copyright syntax
  * Use DPKG_EXPORT_BUILDFLAGS to ensure LDFLAGS is actually exported
  * Add patch to fix a typo in libtsk3.so 
  * Update libtsk3-3 symbols files for 3.2.3 

  [ Christophe Monniez ]
  * Merge upstream version 3.2.3.

 -- Julien Valroff <julien@debian.org>  Thu, 13 Oct 2011 21:01:10 +0200

=== debian/control ===
Source: sleuthkit
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 8.0.0), autoconf, automake, libtool, dh-autoreconf, libewf-dev (>= 20100226), libsqlite3-dev, libafflib-dev (>= 3.6.6)
Standards-Version: 3.9.2
Homepage: http://www.sleuthkit.org/sleuthkit/
Vcs-Browser: http://git.debian.org/?p=forensics/sleuthkit.git
Vcs-Git: git://git.debian.org/git/forensics/sleuthkit.git
DM-Upload-Allowed: yes

Package: sleuthkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, file, libdate-manip-perl
Suggests: autopsy
Description: collection of tools for forensics analysis on volume and file system data
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains the set of command line tools in The Sleuth Kit.

Package: libtsk3-3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for forensics analysis on volume and file system data
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains the library which can be used to implement all of the
 functionality of the command line tools into an application that needs to
 analyze data from a disk image.

Package: libtsk3-3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libtsk3-3 (= ${binary:Version})
Suggests: libc-dbg
Description: library for forensics analysis (debug symbols)
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains debugging symbols for the library.

Package: libtsk-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libtsk3-3 (= ${binary:Version}), zlib1g-dev
Suggests: libtsk3-3-dbg
Description: library for forensics analysis (development files)
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains header files and static version of the library.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
+
 SHELL := sh -e
-export LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed
+LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed
 
 %:
 	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://sf.net/sleuthkit/sleuthkit-(.*)\.tar\.gz debian

## sleuthkit 4.1.2

=== debian/changelog ===
sleuthkit (4.1.2-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Added dpkg-dev (>= 1.16.1~) as build dependency.
  * Regenerated the symbols for amd64 arch (the package fails
    with SID symbols).
  * Removed the symbols for i386 arch.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 24 Feb 2014 14:29:38 -0300

sleuthkit (4.1.2-2) unstable; urgency=medium

  * [fcb702f] Fix package entry in debian/libtsk10.symbols.i386

 -- Michael Prokop <mika@debian.org>  Tue, 04 Feb 2014 15:32:02 +0100

sleuthkit (4.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #695097, #702470, LP: #1261135)
  * New co-maintainers:
      - Hilko Bengen <bengen@debian.org>
      - Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
  * Migrations:
      - Debhelper version from 8 to 9.
      - Standards-Version from 3.9.2 to 3.9.5.
  * Patches:
      - Added:
          - 20_fix_spelling_errors.diff
      - Removed:
          - 40_fix-typo.diff: the target file was dropped by the upstream.
          - 90_fix_ldflags.diff: new configure.ac and Makefile.am upstream
            files. The content is new.
          - 95_fix-libewf2-detection.patch: the upstream already uses the
            code in this version. The patch was based on code published in
            upstream git repository.
          - 96_fix_build_libewf2.patch: idem.
      - Updated:
          - 10_link-to-sqlite.diff
          - 30_fix-manpages.diff
          - 99_no_static_ldflags.diff
  * debian/changelog:
      - Added new Debian maintainers.
      - Reviewed all licenses and files.
      - Updated the Format field.
      - Updated the upstream copyright years.
  * debian/control:
      - Added the Conflicts field in sleuthkit binary.
      - Added mac-robber as suggestion to sleuthkit binary.
      - Changed VCS fields to canonical URI (anonscm.debian.org instead
        git.debian.org).
      - Improved the long descriptions.
      - Removed obsolete field DM-Upload-Allowed.
      - Removed 'Priority' field from libtsk-dev, that is optional now
        (instead extra).
      - Removed, after renamed, useless and empty binary libtsk10-dbg,
        because libtsk10 already is naturally 'stripped'.
      - Renamed libtsk3-3 to libtsk10.
      - Updated libewf-dev from '>= 20100226' to '>= 20130416' in
        Build-Depends.
  * debian/gbp.conf: added the pristine-tar line.
  * debian/libtsk-dev.install: updated.
  * debian/libtsk10.symbols.*: generated in amd64 and i386 arch.
  * debian/manpages: added fcat.1, fiwalk.1, jpeg_extract.1 and their
    sources.
  * debian/README.source: removed because it is useless now.
  * debian/rules:
      - Added the override_dh_installdocs to change the original name of
        the fiwalk README file.
      - Removed the override_dh_auto_install target, that adds -sleuthkit
        suffix to icat, ils and mactime files. It is obsolete because TCT
        project is dead and was removed from Debian in 2011. Note that this
        action will make d/sleuthkit.{postinst,prerm} useless. (LP: #480877)
      - Removed the override_dh_strip target because the libtsk*-dbg was
        dropped.
  * sleuthkit.manpages: updated.
  * sleuthkit.postinst: removed.
  * sleuthkit.prerm: removed.
  * debian/watch: a little improvement.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 19 Jan 2014 13:11:29 -0200

=== debian/control ===
Source: sleuthkit
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>,
           Hilko Bengen <bengen@debian.org>,
           Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               autoconf,
               automake,
               libtool,
               dh-autoreconf,
               libewf-dev (>= 20130416),
               libsqlite3-dev,
               libafflib-dev (>= 3.6.6)
Standards-Version: 3.9.5
Homepage: http://www.sleuthkit.org/sleuthkit
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=forensics/sleuthkit.git
Vcs-Git: git://anonscm.debian.org/forensics/sleuthkit.git

Package: sleuthkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, file, libdate-manip-perl
Suggests: autopsy, mac-robber
Conflicts: tct
Description: collection of tools for forensics analysis on volume and file system data
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with file system analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, HFS+, Ext3, UFS,
 YAFFS2 and Ext4.
 .
 This package contains the set of command line tools in The Sleuth Kit.

Package: libtsk10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for forensics analysis on volume and file system data
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with file system analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, HFS+, Ext3, UFS,
 YAFFS2 and Ext4.
 .
 This package contains the library which can be used to implement all of the
 functionality of the command line tools into an application that needs to
 analyze data from a disk image.

Package: libtsk-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtsk10 (= ${binary:Version}), zlib1g-dev
Description: library for forensics analysis (development files)
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with file system analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, HFS+, Ext3, UFS,
 YAFFS2 and Ext4.
 .
 This package contains header files and static version of the library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SHELL := sh -e
LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README.fiwalk

=== debian/watch ===
version=3
http://sf.net/sleuthkit/sleuthkit-(\d\S*)\.tar\.gz debian
